Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 9190)
@@ -361,5 +361,22 @@
       !!----------------------------------------------------------------------
 
-#if !defined key_agrif
+#if defined key_agrif
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'icb_nam : AGRIF is not compatible with namelist namberg :  '
+         WRITE(numout,*) '~~~~~~~   definition of rn_initial_mass(nclasses) with nclasses as PARAMETER '
+         WRITE(numout,*)
+         WRITE(numout,*) '   ==>>>   force  NO icebergs used. The namelist namberg is not read'
+      ENDIF
+      ln_icebergs = .false.      
+      RETURN
+#else
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'icb_nam : iceberg initialization through namberg namelist read'
+         WRITE(numout,*) '~~~~~~~~ '
+      ENDIF
+#endif   
+      !                             !==  read namelist  ==!
       REWIND( numnam_ref )              ! Namelist namberg in reference namelist : Iceberg parameters
       READ  ( numnam_ref, namberg, IOSTAT = ios, ERR = 901)
@@ -369,27 +386,19 @@
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namberg in configuration namelist', lwp )
       IF(lwm) WRITE ( numond, namberg )
-#else
-      IF(lwp) THEN
-         WRITE(numout,*)
-         WRITE(numout,*) 'icbini : AGRIF is not compatible with namelist namberg :  '
-         WRITE(numout,*) '~~~~~~   definition of rn_initial_mass(nclasses) with nclasses as PARAMETER '
-         WRITE(numout,*) '         ==>>>   force  NO icebergs used. The namelist namberg is not read'
-      ENDIF
-      ln_icebergs = .false.      
-#endif   
-      IF( .NOT. ln_icebergs ) THEN   ! no icebergs
-         IF(lwp) THEN
-            WRITE(numout,*)
-            WRITE(numout,*) 'icbini : Namelist namberg ln_icebergs = F , NO icebergs used'
-            WRITE(numout,*) '~~~~~~ '
-         ENDIF
+      !
+      IF(lwp) WRITE(numout,*)
+      IF( ln_icebergs ) THEN
+         IF(lwp) WRITE(numout,*) '   ==>>>   icebergs are used'
+      ELSE
+         IF(lwp) WRITE(numout,*) '   ==>>>   No icebergs used'
          RETURN
       ENDIF
-
-
-!     IF( lk_lim3 .AND. ln_icebergs ) THEN
-!        CALL ctl_stop( 'icb_nam: the use of ICB with LIM3 not allowed. ice thickness missing in ICB' )
-!     ENDIF
-
+      !
+      IF( nn_test_icebergs > nclasses ) THEN
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) '   ==>>>   Resetting of nn_test_icebergs to ', nclasses
+         nn_test_icebergs = nclasses
+      ENDIF
+      !
       IF(lwp) THEN                  ! control print
          WRITE(numout,*)
@@ -399,18 +408,18 @@
          WRITE(numout,*) '   Period between sampling of position for trajectory storage   nn_sample_rate = ', nn_sample_rate
          WRITE(numout,*) '   Mass thresholds between iceberg classes (kg)                 rn_initial_mass     ='
-         DO jn=1,nclasses
-            WRITE(numout,'(a,f15.2)') '                                                                ',rn_initial_mass(jn)
+         DO jn = 1, nclasses
+            WRITE(numout,'(a,f15.2)') '                                                                ', rn_initial_mass(jn)
          ENDDO
          WRITE(numout,*) '   Fraction of calving to apply to this class (non-dim)         rn_distribution     ='
          DO jn = 1, nclasses
-            WRITE(numout,'(a,f10.4)') '                                                                ',rn_distribution(jn)
+            WRITE(numout,'(a,f10.4)') '                                                                ', rn_distribution(jn)
          END DO
          WRITE(numout,*) '   Ratio between effective and real iceberg mass (non-dim)      rn_mass_scaling     = '
          DO jn = 1, nclasses
-            WRITE(numout,'(a,f10.2)') '                                                                ',rn_mass_scaling(jn)
+            WRITE(numout,'(a,f10.2)') '                                                                ', rn_mass_scaling(jn)
          END DO
          WRITE(numout,*) '   Total thickness of newly calved bergs (m)                    rn_initial_thickness = '
          DO jn = 1, nclasses
-            WRITE(numout,'(a,f10.2)') '                                                                ',rn_initial_thickness(jn)
+            WRITE(numout,'(a,f10.2)') '                                                                ', rn_initial_thickness(jn)
          END DO
          WRITE(numout,*) '   Timesteps between verbose messages                           nn_verbose_write    = ', nn_verbose_write
@@ -435,9 +444,4 @@
       ENDIF
       !
-      IF( nn_test_icebergs > nclasses ) THEN
-         IF(lwp) WRITE(numout,*) '      ==>>>   Resetting of nn_test_icebergs to ', nclasses
-         nn_test_icebergs = nclasses
-      ENDIF
-
       ! ensure that the sum of berg input distribution is equal to one
       zfact = SUM( rn_distribution )
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icblbc.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icblbc.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icblbc.F90	(revision 9190)
@@ -1,16 +1,15 @@
 MODULE icblbc
-
    !!======================================================================
    !!                       ***  MODULE  icblbc  ***
    !! Ocean physics:  routines to handle boundary exchanges for icebergs
    !!======================================================================
-   !! History : 3.3.1 !  2010-01  (Martin&Adcroft) Original code
-   !!            -    !  2011-03  (Madec)          Part conversion to NEMO form
-   !!            -    !                            Removal of mapping from another grid
-   !!            -    !  2011-04  (Alderson)       Split into separate modules
-   !!            -    !  2011-05  (Alderson)       MPP exchanges written based on lib_mpp
-   !!            -    !  2011-05  (Alderson)       MPP and single processor boundary
-   !!            -    !                            conditions added
+   !! History :  3.3  !  2010-01  (Martin&Adcroft) Original code
+   !!             -   !  2011-03  (Madec)          Part conversion to NEMO form
+   !!             -   !                            Removal of mapping from another grid
+   !!             -   !  2011-04  (Alderson)       Split into separate modules
+   !!             -   !  2011-05  (Alderson)       MPP exchanges written based on lib_mpp
+   !!             -   !  2011-05  (Alderson)       MPP and single processor boundary conditions added
    !!----------------------------------------------------------------------
+
    !!----------------------------------------------------------------------
    !!   icb_lbc       : -  Pass icebergs across cyclic boundaries
@@ -27,5 +26,4 @@
    !!                         nicbfldpts  - packed i,j point in exchanging processor
    !!----------------------------------------------------------------------
-
    USE par_oce                             ! ocean parameters
    USE dom_oce                             ! ocean domain
@@ -45,18 +43,18 @@
 
    TYPE, PUBLIC :: buffer
-      INTEGER :: size=0
-      REAL(wp), DIMENSION(:,:), POINTER :: data
+      INTEGER :: size = 0
+      REAL(wp), DIMENSION(:,:), POINTER ::   data
    END TYPE buffer
 
-   TYPE(buffer), POINTER           ::   obuffer_n=>NULL() , ibuffer_n=>NULL()
-   TYPE(buffer), POINTER           ::   obuffer_s=>NULL() , ibuffer_s=>NULL()
-   TYPE(buffer), POINTER           ::   obuffer_e=>NULL() , ibuffer_e=>NULL()
-   TYPE(buffer), POINTER           ::   obuffer_w=>NULL() , ibuffer_w=>NULL()
+   TYPE(buffer), POINTER       ::   obuffer_n=>NULL() , ibuffer_n=>NULL()
+   TYPE(buffer), POINTER       ::   obuffer_s=>NULL() , ibuffer_s=>NULL()
+   TYPE(buffer), POINTER       ::   obuffer_e=>NULL() , ibuffer_e=>NULL()
+   TYPE(buffer), POINTER       ::   obuffer_w=>NULL() , ibuffer_w=>NULL()
 
    ! north fold exchange buffers
-   TYPE(buffer), POINTER           ::   obuffer_f=>NULL() , ibuffer_f=>NULL()
-
-   INTEGER, PARAMETER, PRIVATE     ::   jp_delta_buf = 25             ! Size by which to increment buffers
-   INTEGER, PARAMETER, PRIVATE     ::   jp_buffer_width = 15+nkounts  ! items to store for each berg
+   TYPE(buffer), POINTER       ::   obuffer_f=>NULL() , ibuffer_f=>NULL()
+
+   INTEGER, PARAMETER, PRIVATE ::   jp_delta_buf = 25             ! Size by which to increment buffers
+   INTEGER, PARAMETER, PRIVATE ::   jp_buffer_width = 15+nkounts  ! items to store for each berg
 
 #endif
@@ -926,5 +924,4 @@
       WRITE(numout,*) 'icb_lbc_mpp: You should not have seen this message!!'
    END SUBROUTINE icb_lbc_mpp
-
 #endif
 
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbrst.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbrst.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbrst.F90	(revision 9190)
@@ -1,4 +1,3 @@
 MODULE icbrst
-
    !!======================================================================
    !!                       ***  MODULE  icbrst  ***
@@ -15,4 +14,5 @@
    !!                                              read single restart files
    !!----------------------------------------------------------------------
+
    !!----------------------------------------------------------------------
    !!   icb_rst_read    : read restart file
@@ -110,12 +110,11 @@
                CALL iom_get( ncid, 'mass_of_bits' , localpt%mass_of_bits  , ktime=jn )
                CALL iom_get( ncid, 'heat_density' , localpt%heat_density  , ktime=jn )
-
                !
                CALL icb_utl_add( localberg, localpt )
-
+               !
             ENDIF
-
+            !
          END DO
-
+         !
       ENDIF 
 
@@ -144,5 +143,5 @@
       CALL iom_close( ncid )
       !
-      IF( lwp .and. nn_verbose_level >= 0)  WRITE(numout,'(a)') 'icebergs, read_restart_bergs: completed'
+      IF( lwp .AND. nn_verbose_level >= 0)  WRITE(numout,'(a)') 'icebergs, read_restart_bergs: completed'
       !
    END SUBROUTINE icb_rst_read
@@ -361,3 +360,4 @@
    END SUBROUTINE icb_rst_write
    !
+   !!======================================================================
 END MODULE icbrst
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbstp.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbstp.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbstp.F90	(revision 9190)
@@ -171,4 +171,4 @@
    END SUBROUTINE icb_end
 
-   !!-------------------------------------------------------------------------
+   !!======================================================================
 END MODULE icbstp
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbthm.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbthm.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbthm.F90	(revision 9190)
@@ -1,4 +1,3 @@
 MODULE icbthm
-
    !!======================================================================
    !!                       ***  MODULE  icbthm  ***
@@ -31,5 +30,9 @@
    PUBLIC   icb_thm ! routine called in icbstp.F90 module
 
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2011)
    !! $Id$
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
@@ -55,5 +58,5 @@
       !
       z1_rday = 1._wp / rday
-      
+      !
       ! we're either going to ignore berg fresh water melt flux and associated heat
       ! or we pass it into the ocean, so at this point we set them both to zero,
@@ -63,13 +66,13 @@
       berg_grid%floating_melt(:,:) = 0._wp
       berg_grid%calving_hflx(:,:)  = 0._wp
-    
+      !
       this => first_berg
-      DO WHILE( associated(this) )
+      DO WHILE( ASSOCIATED(this) )
          !
          pt => this%current_point
          nknberg = this%number(1)
-         CALL icb_utl_interp( pt%xi, pt%e1, pt%uo, pt%ui, pt%ua, pt%ssh_x, &
-         &                    pt%yj, pt%e2, pt%vo, pt%vi, pt%va, pt%ssh_y, &
-         &                 pt%sst, pt%cn, pt%hi, zff )
+         CALL icb_utl_interp( pt%xi, pt%e1, pt%uo, pt%ui, pt%ua, pt%ssh_x,   &
+            &                 pt%yj, pt%e2, pt%vo, pt%vi, pt%va, pt%ssh_y,   &
+            &                 pt%sst, pt%cn, pt%hi, zff )
          !
          zSST = pt%sst
@@ -98,51 +101,51 @@
          zMv = MAX( 7.62e-3*zSST+1.29e-3*(zSST**2)            , 0._wp ) * z1_rday   ! Buoyant convection at sides (eqn M.A10)
          zMb = MAX( 0.58*(zdvo**0.8)*(zSST+4.0)/(zL**0.2)      , 0._wp ) * z1_rday   ! Basal turbulent melting     (eqn M.A7 )
-         zMe = MAX( 1./12.*(zSST+2.)*zSs*(1+cos(rpi*(zIC**3))) , 0._wp ) * z1_rday   ! Wave erosion                (eqn M.A8 )
+         zMe = MAX( 1./12.*(zSST+2.)*zSs*(1+COS(rpi*(zIC**3))) , 0._wp ) * z1_rday   ! Wave erosion                (eqn M.A8 )
 
          IF( ln_operator_splitting ) THEN      ! Operator split update of volume/mass
             zTn    = MAX( zT - zMb*zdt , 0._wp )         ! new total thickness (m)
-            znVol  = zTn * zW * zL                        ! new volume (m^3)
-            zMnew1 = (znVol/zVol) * zM                    ! new mass (kg)
+            znVol  = zTn * zW * zL                       ! new volume (m^3)
+            zMnew1 = (znVol/zVol) * zM                   ! new mass (kg)
             zdMb   = zM - zMnew1                         ! mass lost to basal melting (>0) (kg)
             !
             zLn    = MAX( zL - zMv*zdt , 0._wp )         ! new length (m)
             zWn    = MAX( zW - zMv*zdt , 0._wp )         ! new width (m)
-            znVol  = zTn * zWn * zLn                      ! new volume (m^3)
-            zMnew2 = (znVol/zVol) * zM                    ! new mass (kg)
+            znVol  = zTn * zWn * zLn                     ! new volume (m^3)
+            zMnew2 = (znVol/zVol) * zM                   ! new mass (kg)
             zdMv   = zMnew1 - zMnew2                     ! mass lost to buoyant convection (>0) (kg)
             !
             zLn    = MAX( zLn - zMe*zdt , 0._wp )        ! new length (m)
             zWn    = MAX( zWn - zMe*zdt , 0._wp )        ! new width (m)
-            znVol  = zTn * zWn * zLn                      ! new volume (m^3)
-            zMnew  = ( znVol / zVol ) * zM                ! new mass (kg)
+            znVol  = zTn * zWn * zLn                     ! new volume (m^3)
+            zMnew  = ( znVol / zVol ) * zM               ! new mass (kg)
             zdMe   = zMnew2 - zMnew                      ! mass lost to erosion (>0) (kg)
             zdM    = zM - zMnew                          ! mass lost to all erosion and melting (>0) (kg)
             !
          ELSE                                         ! Update dimensions of berg
-            zLn = MAX( zL -(zMv+zMe)*zdt ,0._wp )         ! (m)
-            zWn = MAX( zW -(zMv+zMe)*zdt ,0._wp )         ! (m)
+            zLn = MAX( zL -(zMv+zMe)*zdt ,0._wp )        ! (m)
+            zWn = MAX( zW -(zMv+zMe)*zdt ,0._wp )        ! (m)
             zTn = MAX( zT - zMb    *zdt ,0._wp )         ! (m)
             ! Update volume and mass of berg
-            znVol = zTn*zWn*zLn                           ! (m^3)
-            zMnew = (znVol/zVol)*zM                       ! (kg)
+            znVol = zTn*zWn*zLn                          ! (m^3)
+            zMnew = (znVol/zVol)*zM                      ! (kg)
             zdM   = zM - zMnew                           ! (kg)
-            zdMb = (zM/zVol) * (zW*   zL ) *zMb*zdt         ! approx. mass loss to basal melting (kg)
-            zdMe = (zM/zVol) * (zT*(zW+zL)) *zMe*zdt         ! approx. mass lost to erosion (kg)
-            zdMv = (zM/zVol) * (zT*(zW+zL)) *zMv*zdt         ! approx. mass loss to buoyant convection (kg)
-         ENDIF
-
-         IF( rn_bits_erosion_fraction > 0._wp ) THEN      ! Bergy bits
+            zdMb = (zM/zVol) * (zW*   zL ) *zMb*zdt      ! approx. mass loss to basal melting (kg)
+            zdMe = (zM/zVol) * (zT*(zW+zL)) *zMe*zdt     ! approx. mass lost to erosion (kg)
+            zdMv = (zM/zVol) * (zT*(zW+zL)) *zMv*zdt     ! approx. mass loss to buoyant convection (kg)
+         ENDIF
+
+         IF( rn_bits_erosion_fraction > 0._wp ) THEN     ! Bergy bits
             !
             zMbits   = pt%mass_of_bits                                               ! mass of bergy bits (kg)
-            zdMbitsE = rn_bits_erosion_fraction * zdMe                        ! change in mass of bits (kg)
-            znMbits  = zMbits + zdMbitsE                                               ! add new bergy bits to mass (kg)
-            zLbits   = MIN( zL, zW, zT, 40._wp )                                        ! assume bergy bits are smallest dimension or 40 meters
-            zAbits   = ( zMbits / rn_rho_bergs ) / zLbits                           ! Effective bottom area (assuming T=Lbits)
-            zMbb     = MAX( 0.58*(zdvo**0.8)*(zSST+2.0)/(zLbits**0.2), 0.) * z1_rday    ! Basal turbulent melting (for bits)
-            zMbb     = rn_rho_bergs * zAbits * zMbb                                 ! in kg/s
-            zdMbitsM = MIN( zMbb*zdt , znMbits )                                       ! bergy bits mass lost to melting (kg)
-            znMbits  = znMbits-zdMbitsM                                                ! remove mass lost to bergy bits melt
+            zdMbitsE = rn_bits_erosion_fraction * zdMe                               ! change in mass of bits (kg)
+            znMbits  = zMbits + zdMbitsE                                             ! add new bergy bits to mass (kg)
+            zLbits   = MIN( zL, zW, zT, 40._wp )                                     ! assume bergy bits are smallest dimension or 40 meters
+            zAbits   = ( zMbits / rn_rho_bergs ) / zLbits                            ! Effective bottom area (assuming T=Lbits)
+            zMbb     = MAX( 0.58*(zdvo**0.8)*(zSST+2.0)/(zLbits**0.2), 0.) * z1_rday ! Basal turbulent melting (for bits)
+            zMbb     = rn_rho_bergs * zAbits * zMbb                                  ! in kg/s
+            zdMbitsM = MIN( zMbb*zdt , znMbits )                                     ! bergy bits mass lost to melting (kg)
+            znMbits  = znMbits-zdMbitsM                                              ! remove mass lost to bergy bits melt
             IF( zMnew == 0._wp ) THEN                                                ! if parent berg has completely melted then
-               zdMbitsM = zdMbitsM + znMbits                                           ! instantly melt all the bergy bits
+               zdMbitsM = zdMbitsM + znMbits                                         ! instantly melt all the bergy bits
                znMbits  = 0._wp
             ENDIF
@@ -163,6 +166,6 @@
             berg_grid%calving_hflx (ii,ij) = berg_grid%calving_hflx (ii,ij) + zheat    * z1_e1e2    ! W/m2
             CALL icb_dia_melt( ii, ij, zMnew, zheat, this%mass_scaling,       &
-            &                          zdM, zdMbitsE, zdMbitsM, zdMb, zdMe,   &
-            &                          zdMv, z1_dt_e1e2 )
+               &                       zdM, zdMbitsE, zdMbitsM, zdMb, zdMe,   &
+               &                       zdMv, z1_dt_e1e2 )
          ELSE
             WRITE(numout,*) 'icb_thm: berg ',this%number(:),' appears to have grounded  at ',narea,ii,ij
@@ -178,5 +181,5 @@
             zTn = zWn
             zWn = zT
-         endif
+         ENDIF
 
          ! Store the new state of iceberg (with L>W)
@@ -184,6 +187,6 @@
          pt%mass_of_bits = znMbits
          pt%thickness    = zTn
-         pt%width        = min(zWn,zLn)
-         pt%length       = max(zWn,zLn)
+         pt%width        = MIN( zWn , zLn )
+         pt%length       = MAX( zWn , zLn )
 
          next=>this%next
@@ -197,5 +200,5 @@
             z1_e1e2 = r1_e1e2t(ii,ij) * this%mass_scaling
             CALL icb_dia_size( ii, ij, zWn, zLn, zAbits,   &
-            &                  this%mass_scaling, zMnew, znMbits, z1_e1e2)
+               &               this%mass_scaling, zMnew, znMbits, z1_e1e2 )
          ENDIF
          !
@@ -203,5 +206,5 @@
          !
       END DO
-      
+
       ! now use melt and associated heat flux in ocean (or not)
       !
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbtrj.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbtrj.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbtrj.F90	(revision 9190)
@@ -1,15 +1,18 @@
 MODULE icbtrj
-
    !!======================================================================
    !!                       ***  MODULE  icbtrj  ***
    !! Ocean physics:  trajectory I/O routines
    !!======================================================================
-   !! History : 3.3.1 !  2010-01  (Martin&Adcroft) Original code
-   !!            -    !  2011-03  (Madec)          Part conversion to NEMO form
-   !!            -    !                            Removal of mapping from another grid
-   !!            -    !  2011-05  (Alderson)       New module to handle trajectory output
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   icb_trj_init          :
+   !! History :  3.3  !  2010-01  (Martin&Adcroft) Original code
+   !!             -   !  2011-03  (Madec)          Part conversion to NEMO form
+   !!             -   !                            Removal of mapping from another grid
+   !!             -   !  2011-05  (Alderson)       New module to handle trajectory output
+   !!----------------------------------------------------------------------
+
+   !!----------------------------------------------------------------------
+   !!   icb_trj_init  :
+   !!   icb_trj_write :
+   !!   icb_trj_sync  :
+   !!   icb_trj_end   :
    !!----------------------------------------------------------------------
    USE par_oce        ! NEMO parameters
@@ -49,6 +52,4 @@
    !!----------------------------------------------------------------------
 CONTAINS
-
-   !!-------------------------------------------------------------------------
 
    SUBROUTINE icb_trj_init( ktend )
@@ -252,5 +253,4 @@
    END SUBROUTINE icb_trj_write
 
-   !!-------------------------------------------------------------------------
 
    SUBROUTINE icb_trj_sync()
@@ -260,5 +260,5 @@
       !! ** Purpose :   
       !!----------------------------------------------------------------------
-      INTEGER                               :: iret
+      INTEGER ::   iret
       !!----------------------------------------------------------------------
       ! flush to file
@@ -270,6 +270,6 @@
 
    SUBROUTINE icb_trj_end()
-      ! Local variables
-      INTEGER                               :: iret
+      !!----------------------------------------------------------------------
+      INTEGER ::   iret
       !!----------------------------------------------------------------------
       ! Finish up
@@ -279,5 +279,4 @@
    END SUBROUTINE icb_trj_end
 
-   !!-------------------------------------------------------------------------
-
+   !!======================================================================
 END MODULE icbtrj
